%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Build infrastructure and utilities for GNOME C++ bindings
Name:		mm-common
Version:	1.0.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	curl
BuildRequires:	wget
BuildRequires:	meson

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

rm -rf %buildroot/usr/share/doc

%files
%_bindir/mm-common-prepare
%_bindir/mm-common-get
%_datadir/aclocal/*.m4
%_datadir/%name
%_datadir/pkgconfig/*.pc
%_mandir/man1/*.1*


%changelog
* Fri Apr 04 2021 tex - 1.0.2-1pclos2021
- new version
